## com.saxonica.ptree
Class PTreeReader

    java.lang.Object
      com.saxonica.ptree.PTreeReader

    public class PTreeReader

extends Object

This class loads a TinyTree held as a serialized binary file on disk, in a proprietary format designed for speed of loading back into a new TinyTree.

The format stored on disk is not dependent on the NamePool. Although it still uses name codes, it also contains a mapping of namecodes to the actual QNames.

The base URIs of nodes are not retained. Line numbers (if they were present in the original tree) are not retained.

Nested Class Summary
`static class` `PTreeReader.PTreeException`

Constructor Summary
`PTreeReader()`

Method Summary
`static void` `main(String[] args)`
`DocumentInfo` `readTree(DataInputStream in, String systemId, Configuration config)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PTreeReader

    public PTreeReader()

Method Detail

### readTree

    public DocumentInfo readTree(DataInputStream in,
                                 String systemId,
                                 Configuration config)
                          throws IOException,
                                 PTreeReader.PTreeException,
                                 XPathException

  Throws:
    `IOException`
    `PTreeReader.PTreeException`
    `XPathException`

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Copyright (C) Michael H. Kay. All rights reserved.